Actualizar la cuenta
curl --request PATCH \
--url https://workspace.basaltic.sh/v1/accounts/{account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production",
"description": "Customer-facing production resources"
}
'import requests
url = "https://workspace.basaltic.sh/v1/accounts/{account_id}"
payload = {
"name": "Production",
"description": "Customer-facing production resources"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Production', description: 'Customer-facing production resources'})
};
fetch('https://workspace.basaltic.sh/v1/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"id": "9f8b1c2d-3e4f-4a5b-8c9d-0e1f2a3b4c5d",
"organization_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Production",
"handle": "production",
"description": "Customer-facing production resources",
"status": "active",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-16T14:20:00Z",
"crn": "crn:workspace:::account/9f8b1c2d-3e4f-4a5b-8c9d-0e1f2a3b4c5d",
"bootstrap_role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bootstrap_role_crn": "crn:iam::production:role/AccountAdministrator"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Cuentas
Actualizar la cuenta
PATCH
/
v1
/
accounts
/
{account_id}
Actualizar la cuenta
Requiere la acción de IAM
workspace:UpdateAccount. Consulte permisos de Workspace para obtener la lista completa, lo que cubre cada una y un ejemplo de política.Authorizations
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Path Parameters
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
Response
Cuenta actualizada
Show child attributes
Show child attributes

